Bug 468355 - NCBackendHal.py:103:getDevices:TypeError: not enough arguments for format string
NCBackendHal.py:103:getDevices:TypeError: not enough arguments for format string
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
: 465220 468257 468333 468471 468605 468625 468636 468914 (view as bug list)
Depends On:
Blocks: F10Blocker/F10FinalBlocker
  Show dependency treegraph
 
Reported: 2008-10-24 06:17 EDT by Ralf Corsepius
Modified: 2008-10-31 04:40 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-27 14:40:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2008-10-24 06:17:37 EDT
Description of problem:

Today's (2008-10-24) brought this impressive traceback:

Component: system-config-network
Version: 1.5.10
Summary: TB24531662 NCBackendHal.py:103:getDevices:TypeError: not enough arguments for format string

Traceback (most recent call last):
  File "/usr/sbin/system-config-network-gui", line 166, in runit
    window = mainDialog()
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line 275, in __init__
    self.load()
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line 300, in load
    self.loadHardware()
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line 312, in loadHardware
    hardwarelist = getHardwareList()
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line 759, in getHardwareList
    __HWList.load()
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line 603, in load
    self.updateFromSystem()
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line 483, in updateFromSystem
    self.updateFromHal(hdellist)
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line 448, in updateFromHal
    cards = hal.probeCards()
  File "/usr/share/system-config-network/netconfpkg/NCBackendHal.py", line 124, in probeCards
    card = self.getDevices(udi)
  File "/usr/share/system-config-network/netconfpkg/NCBackendHal.py", line 103, in getDevices
    hw.Description = "%s %s" % self.getVendor(udi)
TypeError: not enough arguments for format string

Local variables in innermost frame:
category: net
obj: <ProxyObject wrapping <dbus._dbus.SystemBus (system) at 0x8639b6c> :1.0 /org/freedesktop/Hal/devices/net_fa_ff_b0_f7_6c_f4 at 0x8635eec>
name: pan0
arp_proto_hw_id: 1
hwf: {'Wireless': {0: <class netconfpkg.plugins.NCHWWireless.HwWireless at 0xb7bdd23c>}, 'Ethernet': {0: <class netconfpkg.plugins.NCHWEthernet.HwEthernet at 0xb7bd2d7c>}, 'Modem': {0: <class
self: <netconfpkg.NCBackendHal.NCBackendHal instance at 0x8635cec>
hw: Hardware.Status=inactive
Hardware.Name=pan0
Hardware.Type=Ethernet

hwc: netconfpkg.plugins.NCHWEthernet.HwEthernet
htype: Ethernet
udi: /org/freedesktop/Hal/devices/net_fa_ff_b0_f7_6c_f4
getHardwareFactory: <function getHardwareFactory at 0xb7bd7d84>




Version-Release number of selected component (if applicable):
system-config-network-1.5.10-1.fc9.noarch


How reproducible:
Always

Steps to Reproduce:
1. Update to current rawhide
2. run system-config-network
  
Actual results:
C.f. above

Expected results:
Function.
Comment 1 Kazunori Asayama 2008-10-24 12:19:44 EDT
Bug 465220 seems to be the same problem. I provided a patch to fix it.
Comment 2 Matthias Clasen 2008-10-24 23:35:56 EDT
*** Bug 468471 has been marked as a duplicate of this bug. ***
Comment 3 Matthias Clasen 2008-10-24 23:39:01 EDT
*** Bug 468257 has been marked as a duplicate of this bug. ***
Comment 4 Matthias Clasen 2008-10-24 23:46:35 EDT
*** Bug 468333 has been marked as a duplicate of this bug. ***
Comment 5 Matthias Clasen 2008-10-24 23:47:06 EDT
*** Bug 465220 has been marked as a duplicate of this bug. ***
Comment 6 eric@christensenplace.us 2008-10-26 20:35:27 EDT
*** Bug 468636 has been marked as a duplicate of this bug. ***
Comment 7 Doug Chapman 2008-10-27 13:04:29 EDT
FYI, there is a patch attached to Bug 465220 (which was closed as a dup of this bug) which resolves this issue.
Comment 8 Tom "spot" Callaway 2008-10-27 14:40:19 EDT
Fixed in system-config-network-1.5.92-3.fc10, thanks to Kazunori Asayama for the patch.
Comment 9 Harald Hoyer 2008-10-29 08:26:54 EDT
*** Bug 468914 has been marked as a duplicate of this bug. ***
Comment 10 Harald Hoyer 2008-10-31 04:39:55 EDT
*** Bug 468605 has been marked as a duplicate of this bug. ***
Comment 11 Harald Hoyer 2008-10-31 04:40:00 EDT
*** Bug 468625 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.